Function
readLineStripTrailingBlanks
Read a line from stream and save it to buffer, remove trailing blanks
readLineStripTrailingBlanks(TBuffer & buffer, RecordReader<TStream, TPass> & recordReader)
Include Headers
seqan/stream.h
Parameters

buffer | The buffer to write to Types: CharString, or similar
recordReader | The RecordReader to read from. Types: RecordReader

Remarks
This function stops on the beginning of the next line, if there is a next line
End-line characters and all trailing blanks are not written to buffer.
Works on ANSI EOL and on Unix EOL.
Return Values
0 if there was no error reading
non-zero value on errors, especially EOF_BEFORE_SUCCESS
Types: int, TokenizeResult
Member of
RecordReader
See Also
TokenizeResult, isblank
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58